{{- if and .Values.web.enabled .Values.web.ingress.enabled -}}
  {{- $fullName := include "app.fullname" . -}}
  {{- $domain := (.Values.web.ingress.domain | default (printf "%s-%s" .Values.web.service.name .Values.web.ingress.base_domain)) }}
  {{- $secretName := (.Values.web.ingress.tls_secret | default (printf "%s-tls" $domain)) }}
  {{- $svcName := .Values.web.service.name -}}
  {{- $svcPort := .Values.web.service.port -}}
  {{- if semverCompare ">=1.14-0" .Capabilities.KubeVersion.GitVersion -}}
apiVersion: networking.k8s.io/v1beta1
  {{- else -}}
apiVersion: extensions/v1beta1
  {{- end }}
kind: Ingress
metadata:
  name: {{ $fullName }}
  labels:
  {{- include "app.labels" . | nindent 4 }}
  {{- with .Values.web.ingress.annotations }}
  annotations:
  {{- toYaml . | nindent 4 }}
  {{- end }}
spec:
  {{- if .Values.web.ingress.tls }}
  tls:
    - hosts:
      - {{ $domain | quote }}
      secretName: {{ $secretName }}
  {{- end }}
  rules:
    - host: {{ $domain | quote }}
      http:
        paths:
          - path: /
            backend:
              serviceName: {{ $svcName }}
              servicePort: {{ $svcPort }}
{{- end }}
